[openwrt/openwrt] Revert "mac80211: pass hostapd control socket to mesh-mode supplicant"
LEDE Commits
lede-commits at lists.infradead.org
Wed Apr 18 08:55:43 PDT 2018
dangole pushed a commit to openwrt/openwrt.git, branch master:
https://git.lede-project.org/e633b21c14f8892657bade85681fc40bcf9cbffd
commit e633b21c14f8892657bade85681fc40bcf9cbffd
Author: Daniel Golle <daniel at makrotopia.org>
AuthorDate: Wed Apr 18 17:52:51 2018 +0200
Revert "mac80211: pass hostapd control socket to mesh-mode supplicant"
This reverts commit 1356a66f94f31e636fafec514a1c658356ef51b3.
The change breaks wpa_supplicant.conf generation, more work is needed
to fix mesh+AP.
Signed-off-by: Daniel Golle <daniel at makrotopia.org>
---
package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
index 3a1d475..bf9d52a 100644
--- a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
+++ b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
@@ -633,7 +633,7 @@ mac80211_setup_vif() {
if [ -n "$key" ]; then
wireless_vif_parse_encryption
freq="$(get_freq "$phy" "$channel")"
- mac80211_setup_supplicant || failed=1
+ mac80211_setup_supplicant_noctl || failed=1
else
json_get_vars mesh_id mcast_rate
More information about the lede-commits
mailing list